using Colyseus.Schema;
#if UNITY_5_3_OR_NEWER
using UnityEngine.Scripting;
#endif

public partial class NetworkPlayer : Schema
{
#if UNITY_5_3_OR_NEWER
    [Preserve]
#endif
    public NetworkPlayer() { }

    [Type(0, "float32")]
    public float x = default;

    [Type(1, "float32")]
    public float y = default;

    [Type(2, "float32")]
    public float z = default;

    [Type(3, "float32")]
    public float rot = default;

    [Type(4, "string")]
    public string anim = "idle";

    [Type(5, "string")]
    public string displayName = "";

    [Type(6, "uint8")]
    public byte skinIndex = 0;
}
